/* ************************************************************************** *\
       Bettina McCormick, March 1998, CSIII, Dr. Leeson, Assignment #2

          Hash Table Comparison Project  - Due Date: March 11, 1998

  Header for Main Program: hashes.h Version 5.1 - last updated March 5, 1998

    This program investigates a hash table. The input will be 1000
      positive integers and the most important operation on this collection
      of data will be searching. There will be no duplicates in the data.
      Two methods will be compared.

    An open hash table:  Table size is to be the largest prime number
      less than 2000.  Collision reslution will be handled by simple
      linked lists.  Array will contain pointers to nodes and nodes will
      be structs with integer data and a nextNode pointer.  The hash
      function will be simple, x hashes to x MOD the chosen prime.

    A closed hash table:  Array sizes chosen as above with ~1000
      extra slots for the overflow.  Bin size should be 5 with
      collisions handled by circling through the bin and then going
      to the sequential overflow area.

\* ************************************************************************** */
#ifndef _HASHES_H_
#define _HASHES_H_    1

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

/* #define DEBUG */

#define MAXSTRING         15

#define RANGE1500       1500
#define RANGE2000       2000
#define RANGE2500       2500

#define MAXFILE         1000

#define TRUE               1
#define FALSE              0


/*********************      function prototypes     ***************************/

   int PrimeSieve(int prange);
/*  Takes the largest range to search (arg 1).  Returns the largest
    prime in the range */

#endif
/*************************      end hashes.h    *******************************/

